Package org.springframework.security.web.server.authentication

# Class RedirectServerAuthenticationEntryPoint

java.lang.Object
org.springframework.security.web.server.authentication.RedirectServerAuthenticationEntryPoint

All Implemented Interfaces:
  `ServerAuthenticationEntryPoint`

public class RedirectServerAuthenticationEntryPoint extends Object implements ServerAuthenticationEntryPoint
Performs a redirect to a specified location.

Since:
  5.0

## Constructor Summary

Constructors
Constructor
Description
`RedirectServerAuthenticationEntryPoint(String location)`
Creates an instance

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
`commence(org.springframework.web.server.ServerWebExchange exchange, org.springframework.security.core.AuthenticationException ex)`
Initiates the authentication flow
`void`
`setRedirectStrategy(ServerRedirectStrategy redirectStrategy)`
Sets the RedirectStrategy to use.
`void`
`setRequestCache(ServerRequestCache requestCache)`
The request cache to use to save the request before sending a redirect.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RedirectServerAuthenticationEntryPoint

public RedirectServerAuthenticationEntryPoint(String location)
Creates an instance

Parameters:
  `location` - the location to redirect to (i.e. "/logout-success")

## Method Details

### setRequestCache

public void setRequestCache(ServerRequestCache requestCache)
The request cache to use to save the request before sending a redirect.

Parameters:
  `requestCache` - the cache to redirect to.

### commence

public reactor.core.publisher.Mono<Void> commence(org.springframework.web.server.ServerWebExchange exchange, org.springframework.security.core.AuthenticationException ex)
Description copied from interface: `ServerAuthenticationEntryPoint`
Initiates the authentication flow

Specified by:
  `commence` in interface `ServerAuthenticationEntryPoint`
Returns:
  `Mono<Void>` to indicate when the request for authentication is complete

### setRedirectStrategy

public void setRedirectStrategy(ServerRedirectStrategy redirectStrategy)
Sets the RedirectStrategy to use.

Parameters:
  `redirectStrategy` - the strategy to use. Default is DefaultRedirectStrategy.